<?php
if (!defined('ABSPATH'))
    exit;
$wp_nonce = wp_create_nonce('ajax-nonce');
?>
<style>
    .error{color: red;display: none;}
    .msg{color: green;display: none;}
    .thank{padding: 20px;text-align: center;}
</style> 
<div class="wrap">

    <h2 class="main-heading">Connect with routee</h2>
    <div class="error"></div>
    <form method="post" action="index.php"  class="main-form" id="login">    
    <table class="form-table">
	    <tbody>
	        <tr>
	        	<th class="label">Username </th>
	        	<td><input class="regular-text" type="text" id="routee_user" name="routee_user" value=""></td>
	        </tr>
	        <tr>
	        	<th class="label">Password </th>
	        	<td><input class="regular-text" type="password" id="routee_password" name="routee_password" value=""></td>
	        </tr>
	    </tbody>
	</table>
	 <input type="submit" name="btnSave" value="Login" class="btnSave button button-primary last-btn" />
	</form>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.blockUI/2.70/jquery.blockUI.min.js"></script>
<script>
	jQuery(document).ready(function(){
		 jQuery( "form#login" ).submit(function( event ) {
             event.preventDefault();
             let routee_username = (jQuery("#routee_user").val()).trim();
             let routee_password = (jQuery("#routee_password").val()).trim();
             if (routee_username === '' || routee_password === '') {
                 jQuery('.error').text("No field could be left blank.").show();
                 setTimeout(function () {
                     jQuery('.error').text("").hide();
                 }, 3000);
                 return;
             }

            jQuery.ajax({
                url:ajaxurl,
                type:'post',
                data:{'action':'routee_login','form_data':jQuery("form#login").serialize(), _ajax_nonce: '<?= $wp_nonce; ?>'},
                dataType:'json',
                beforeSend: function() {
                    jQuery.blockUI();
                },
                success:function(data){
                    if(!data.flag){
                        jQuery('.error').text(data.msg).show();
                        setTimeout(function(){ jQuery('.error,.msg').hide(); }, 15000);

                    }else{
                        window.location.reload();
                    }
                },
                complete: function() {
                    jQuery.unblockUI();
                },
                error: function(data) {
                      jQuery('.error').text("There was an error with execution please try again later.").show();
                 }
            })
        });
	})
</script>